@font-face{
    font-family: 'biotic';
    src: url(./fuente/fonnts.com-biotic-regular.otf);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: var(--font-biotic); */
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
html{
    scroll-behavior: smooth;
}
:root{
    --header-height: 4.5rem;
    --grey-color: hsl(88, 12%, 78%);
    --font-color: hsl(0, 0%, 11%);
    --blue-color: hsl(170, 61%, 79%);
    --white-color: hsl(0, 0%, 100%);
    --gris-color: hsl(0, 0%, 11%);
    --gris-medio: hsl(0, 0%, 16%);;
    --norma-font-size: .938rem;
    --font-biotic: 'biotic';
    --font-regular: 300;
    --font-bold: 700;
    --z-tooltip: 10;
    --z-fixed: 100;
}
@media screen and (min-width: 1024px){
    :root{
        --norma-font-size: 1rem;
    }
}

/* barra scroll */
body::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}
body::-webkit-scrollbar-track {
    background: var(--grey-color);
    height: 1px;
}  
body::-webkit-scrollbar-thumb {
    background-color: var(--blue-color);
    border-radius: 20px;
    border: 1px solid var(--blue-color);
}

/* header */
ul{
    list-style-type: none;
}
li a{
    text-decoration: none;
}
.container{
    max-width: 1200px;
    margin-inline: 1.5rem;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: transparent;
    z-index: var(--z-fixed);
    transition: 1s;
}
.nav{
    height: var(--header-height);
}
.nav_data{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav_logo{
    display: inline-flex;
    align-items: center;
    column-gap: 0.25rem;
}
.nav_logo img{
    width: 150px;
}
.nav_toggle{
    position: relative;
    width: 32px;
    height: 32px;
}
.nav_burger,
.nav_close{
    color: var(--blue-color);
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    font-size: 1.5rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
}
.nav_close{
    opacity: 0;
}
@media screen and (max-width: 1118px){
    .nav_menu{
        position: absolute;
        left: 0;
        top: 2.3rem;
        width: 100%;
        height: calc(100vh - 3.5rem);
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        transition: top .4s, opacity .3s;
    }
    .nav_menu::-webkit-scrollbar{
        width: 0;
    }
    .nav_list{
        background-color: var(--gris-color);
        
        /* padding-top: 1rem; */
    }
    .nav_link{
        text-decoration: none;
    }

}
.nav_link{
    color: var(--blue-color);
    padding: 1.25rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .3s;
}
.nav_link:hover{
    background-color: var(--grey-color);
    color: var(--white-color);
}
.show-menu{
    opacity: 1;
    top: 4rem;
    pointer-events: initial;
}
.show-icon .nav_burger{
    opacity: 0;
    transform: rotate(90deg);
}
.show-icon .nav_close{
    opacity: 1;
    transform: rotate(90deg);
}

/* inicio */

.inicio{
    width: 100%;
    padding: 1.2rem 1.5rem;
    height: 100vh;
    background-image: url(./img/fondo\ inicio.png);
    background-position: center;
    background-size: cover;
}
.inicio-container{
    width: 100%;
    max-width: 600px;
    height: 100%;
    /* padding: 1.5rem; */
    justify-content: center;
    align-items: center;
    display: flex;
    margin: auto;
}
.bienvenida{
    margin: auto;
    width: 100%;
    /* max-width: 500px; */
}
.icono-bienvenida i{
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2.75rem);
    color: var(--blue-color);
}
.texto-bienvenida{
    color: var(--blue-color);
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2.75rem);
}
.nombre{
    margin: auto;
    text-align: center;
    color: var(--grey-color);
}
.nombre h1{
    font-size: 85px;
}


/* nosotros */

.nosotros{
    width: 100%;
    padding: 1.2rem 1.5rem;
    background-image: url(./img/fondo\ nosotros.svg);
    background-size: cover;
    background-position: center;
}
.nosotros-container{
    width: 100%;
    display: flex;
    flex-direction: column;
}
.somos{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin: 2rem auto;
    justify-content: center;
    align-items: center;
    gap: 15px;
}
.somos-texto{
    width: 100%;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    text-align: justify;
}
.somos-texto h1{
    margin: 1rem 0;
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2rem);
    color: var(--grey-color);
}
.somos-texto h2{
    margin: 1rem 0;
    font-size: clamp(1rem, 1rem + 2vw, 2rem);
    text-align: start;
    color: var(--grey-color);
}
.somos-texto h3{
    color: var(--grey-color);
    font-size: clamp(1rem, 1rem + 2vw, 1.25rem);
}
.somos-texto p{
    color: var(--blue-color);
    margin: .5rem 0;
    font-size: clamp(.5 rem, .5rem + 2vw, 1.25rem);
}
.imagen-nosotros{
    width: 100%;
    max-width: 500px;
}
.imagen-nosotros img{
    width: 100%;
    object-fit: cover;
}


/* Que hacemos */

.hacemos{
    width: 100%;
    background-color: var(--gris-color);
    padding: 1rem;
}
.descripcion-hacemos{
    display: flex;
    margin: 0 auto;
}
.hacemos-container{
    width: 100%;
    padding: 1.25rem 1.5rem;
    display: flex;
    flex-wrap: wrap;
    margin: auto;
}
.titulo-hacemos{
    padding: .7rem;
    border-radius: .7rem;
    color: var(--blue-color);
    justify-content: center;
    display: flex;
    flex-direction: column;
}
.titulo-hacemos h1{
    margin-top: 1.5rem;
    margin-bottom: 1rem;
    font-size: clamp(1.2rem, 1.2rem + 2vw, 2rem);
}
.titulo-hacemos h4{
    color: var(--grey-color);
}
.servicios-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    margin: auto;
}
.tarjeta-servicio{
    width: 100%;
    max-width: 300px;
    padding: .5rem;
    margin: 0 auto;
    
    
    background-color: var(--gris-color);
}
.tarjeta-servicio:hover{
    overflow: visible;
}
.imagen h3{
    color: var(--blue-color);
}
.imagen img{
    width: 100%;
    margin: 1rem 0;
}
.detalle-tarjeta{
    padding: 1.2rem;
    display: flex;
    flex-wrap: wrap;
}
.text{
    background-color: var(--gris-color);
    z-index: 10;
}
.detalle-tarjeta:hover{
    overflow: visible;
}
.detalle-tarjeta ul{
    list-style-type: lower-alpha;
    
}
.detalle-tarjeta ul li{
    margin-bottom: 1rem;
    color: var(--grey-color);
    
}
.detalle-tarjeta p{
    color: var(--grey-color);
}
.detalle-tarjeta ul .incisos{
    margin-left: 2.5rem;
    margin-top: 1rem;
}
.detalle-tarjeta ul li span{
    color: var(--blue-color);
}

/* formulario */

.contacto{
    width: 100%;
    padding: 1.2rem 1.5rem;
}
.imagen-container{
    background-image: url(./img/contacto.png);
    background-position: center;
    background-size: cover;
    width: 100%;
    display: none;
}
.contacto-container{
    width: 100%;
    max-width: 400px;
    padding: 1rem;
    margin: auto;
}
.titulo-contacto{
    width: 100%;
    max-width: 400px;
}
.titulo-contacto h1{
    color: var(--gris-color);
    text-align: center;
}
form{
    width: 100%;
    max-width: 400px;
    padding: 1rem;
}
.container-inputs{
    width: 100%;
}
.container-inputs .inputs{
    width: 100%;
    margin: 1rem 0;
}
.inputs input{
    width: 100%;
    height: 2rem;
    padding: 1rem;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 2px solid var(--blue-color);
    outline: none;
    transition: 1s;
}
input:focus{
    box-shadow: 0 0 5px var(--blue-color);
}
.textarea textarea{
    width: 100%;
    height: 5rem;
    padding: 1rem;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 2px solid var(--blue-color);
    outline: none;
}
.btn-enviar{
    display: flex;
    margin: 1rem auto;
    padding: .5rem;
    border: none;
    border-radius: 1rem;
    cursor: pointer;
    color: var(--grey-color);
    background-color: var(--gris-color);
    transition: 1s;
    width: 100%;
    text-align: center;
    justify-content: center;
    font-size: 18px;
}
.btn-enviar:hover{
    color: var(--gris-color);
    background-color: var(--grey-color);
}

/* Footer */


footer{
    background-image: url(./img/fondo\ footer.svg);
    background-position: center;
    background-size: cover;
    padding: 1.2rem 1.5rem;
    color: var(--grey-color);
    justify-content: center;
    text-align: center;
    width: 100%;
    display: flex;
    flex-direction: column;
}
.footer-container{
    width: 100%;
    padding: 1rem;
    display: flex;
}
.redes{
    width: 100%;
    gap: 1rem;
    display: flex;
    margin: auto;
    justify-content: center;
}
.copyrigth{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.redes a{
    text-decoration: none;
    color: var(--grey-color);
}
.redes i{
    font-size: 28px;
}
.redes i:hover{
    color: var(--blue-color);
}
.aviso{
    margin: 1rem 0;
}
.aviso a{
    text-decoration: none;
    color: var(--grey-color);    
}
.aviso a:hover{
    color: var(--blue-color);
}
footer .elaborado a{
    text-decoration: none;
    color: var(--grey-color);
}
.elaborado a:hover{
    color: var(--blue-color);
}

/* Cookies */
.aviso_cookies {
    display: none;
    background: linear-gradient(45deg,var(--gris-color), var(--gris-medio), var(--gris-color));
    padding: 20px;
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
    position: fixed;
    bottom: 0;
    justify-content: center;
    align-items: center;
    z-index: 40;
    padding-top: 4%;
    box-shadow: 0px 2px 20px 10px rgba(222, 222, 222, 0.25);
    text-align: center;
    font-size: 20px;
    margin: auto;
}
.aviso_cookies.activo {
    display: block;
}
.aviso_cookies img {
    width: 100px;
    border-radius: 50%;
    position: absolute;
    top: -50px;
    left: calc(50% - 50px);
}
.aviso_cookies .titulo,
.aviso_cookies .parrafo{
    margin-bottom: 15px;
    margin-top: 35px;
    color: var(--grey-color);
}
.aviso_cookies .boton {
    width: 100%;
    background: var(--grey-color);
    border: none;
    color: var(--gris-color);
    border-radius: 10px;
    padding: 10px 15px;
    font-weight: 400;
    cursor: pointer;
    transition: .3s ease all;
    margin-bottom: 10px;
    font-size: 16px;
}
.aviso_cookies .boton:hover {
    background: darkgreen;
    color: var(--white-color);
}
.aviso_cookies .enlace {
    text-decoration: none;
    color: #fff;

}
.aviso_cookies .enlace:hover {
    color: var(--blue-color);
}
.fondo-aviso-cookies {
    display: none;
    background: rgba(0, 0, 0, .35);
    position: fixed;
    z-index: 35;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
}
.fondo-aviso-cookies.activo {
    display: block;
}

/* boton flotante whatsapp */

.btn-whats{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    position: fixed;
    gap: 5px;
    width: 210px;
    bottom: 30px;
    right: -170px;
    color: #fff;
    background-color: #72EA5F;
    border-radius: 10px;
    text-align: center;
    font-size: 20px;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.3);
    z-index: 15;
    padding: .5rem;
    transition: 1s;
}
.btn-whats:hover{
    color: #72EA5F;
    background-color: var(--gris-color);
    right: 5px;
}

@media screen and (max-width: 340px){
    .container{
        margin-inline: 1rem;
    }
    .nav_link{
        padding-inline: 1rem;
    }
}

@media screen and (min-width: 1118px){
    .container{
        margin-inline: auto;
        gap: 2rem;
    }
    .nav{
        height: calc(var(--header-height) + 2rem);
        display: flex;
        justify-content: space-between;
    }
    .nav_toggle{
        display: none;
    }
    .nav_list{
        height: 100%;
        display: flex;
        column-gap: 1.5rem;
    }
    .nav_link{
        height: 100%;
        padding: 0;
        justify-content: initial;
        column-gap: .25rem;
    }
    .nav_link:hover{
        background-color: transparent;
        color: var(--grey-color);
    }
    .icono-bienvenida i{
        font-size: 50px;
    }
    .texto-bienvenida{
        font-size: 36px;
    }
    .nombre h1{
        font-size: 110px;
    }
    .derecha{
        flex-direction: row-reverse;
    }

    .tarjeta-servicio{
        overflow: hidden;
        text-overflow: ellipsis;
        max-height: 600px;
    }
    .contacto{
        display: flex;
        flex-wrap: wrap;
        padding: 0;
    }
    .imagen-container{
        display: block;
        width: 50%;
    }
    .contacto-container{
        width: 50%;
        padding: 1.5rem 1rem;
    }

}

